import React from 'react';
import { render, cleanup, fireEvent } from '@testing-library/react';
import '@testing-library/jest-dom/extend-expect';

import '~tests/helpers/match-media.mock';
import Arrow from '.';

const direction = 'right';
const content = 'Test Arrow';
const click = jest.fn();

describe('Arrow Component', () => {
  test('render arrow', () => {
    const { container, getAllByText } = render(<Arrow direction={direction} content={content} />);
    expect(getAllByText('Test Arrow')).toBeTruthy();
    expect(container.querySelectorAll('button.right')).toHaveLength(1);
  });
  test('on click', () => {
    const { container } = render(<Arrow direction={direction} onClick={click} />);
    const arrowBtn = container.querySelector('button.arrow');
    fireEvent.click(arrowBtn);
    expect(click).toHaveBeenCalled();
  });
});
afterEach(() => {
  cleanup();
});
