import React from 'react';
import PropTypes from 'prop-types';

import styles from './arrow.module.scss';

const Arrow = ({ direction, content = '', onClick, onKeyDown, disabled, gtmClass = '' }) => (
  <button
    type="button"
    className={`${styles.arrow || ''} ${styles[direction] || ''} ${
      gtmClass || ''
    } carousel-arrow-gtm btn-cta`}
    onClick={onClick}
    onKeyDown={onKeyDown}
    disabled={disabled}
    aria-label={`Arrow ${direction} Link`}
  >
    {content}
  </button>
);

Arrow.propTypes = {
  direction: PropTypes.oneOf(['right', 'left', 'up', 'down']).isRequired,
  content: PropTypes.string,
  onClick: PropTypes.func,
  onKeyDown: PropTypes.func,
  disabled: PropTypes.bool,
  gtmClass: PropTypes.string,
};

export default Arrow;
