import React from 'react';
import PropTypes from 'prop-types';

import styles from './pagination-item.module.scss';
import keygen from '~helpers/keygen';

const PaginationItem = ({ type, paginationHandler, slideIndex, totalSlides, gtmClass = '' }) => {
  const pages = [];

  for (let i = 0; i < totalSlides; i += 1) {
    const classes = `${styles.paginationItem || ''} ${styles[type] || ''} ${
      Math.abs(slideIndex) === i ? styles.active : ''
    }`;
    pages.push(
      <button
        key={keygen()}
        onClick={() => paginationHandler(i)}
        onKeyDown={() => paginationHandler(i)}
        type="button"
        tabIndex="0"
        aria-label={`Slide ${i + 1}`}
        className={`${classes} ${gtmClass} carousel-pagination-gtm btn-cta`}
      />
    );
  }

  return <div className={styles.pagination || ''}>{pages}</div>;
};

PaginationItem.propTypes = {
  type: PropTypes.string,
  paginationHandler: PropTypes.func,
  slideIndex: PropTypes.number,
  totalSlides: PropTypes.number,
  gtmClass: PropTypes.string,
};

export default PaginationItem;
