import React from 'react';
import { render, cleanup } from '@testing-library/react';
import '@testing-library/jest-dom/extend-expect';

import { getCarouselItem } from '~tests/factories/modules/carousel.factory';
import '~tests/helpers/match-media.mock';
import Carousel from '.';

const carouselItems = {
  items: [getCarouselItem(), getCarouselItem(2, false)],
};

describe('Carousel Component', () => {
  test('render slides', () => {
    const { container, getAllByText } = render(<Carousel module={carouselItems} />);
    expect(getAllByText('title 1')).toBeTruthy();

    expect(container.querySelectorAll('.sliderItem span.title')).toHaveLength(2);
    expect(container.querySelectorAll('.sliderItem span.label')).toHaveLength(2);
  });
});
afterEach(() => {
  cleanup();
});
